import QtQuick 2.0

Rectangle
{
	id: noteKey;
	width: 50; height: 100; border.width: 3; border.color: "darkgray"; radius: 5;
	property int centsValue: 0;
	property alias pageIncrColor: pageIncr.color;
	property alias stepIncrColor: stepIncr.color;
	property alias theCentsColor: theCents.color;
	property alias stepDecrColor: stepDecr.color;
	property alias pageDecrColor: pageDecr.color;
	
	Text
	{
		id: pageIncr; text: "▲"; font.pointSize: 16;
		y: 4;
		anchors.horizontalCenter: parent.horizontalCenter;
		
		MouseArea
		{
			id: pageUpMouseArea; anchors.fill: parent;
			onClicked: {if (noteKey.centsValue + 24 <= 63) noteKey.centsValue += 24;}
		}
	}
	
	Text
	{
		id: stepIncr; text: "▴"; font.pointSize: 16;
		y: 20;
		anchors.horizontalCenter: parent.horizontalCenter;
		
		MouseArea
		{
			id: stepUpMouseArea; anchors.fill: parent;
			onClicked: {if (noteKey.centsValue + 1 <= 63) noteKey.centsValue += 1;}
		}
	}
	
	Text
	{
		id: theCents;
		text: {noteKey.centsValue.toString();} font.pointSize: 16; font.bold: true;
		y: 40;
		anchors.horizontalCenter: parent.horizontalCenter;
	}
	
	Text
	{
		id: stepDecr; text: "▾"; font.pointSize: 16;
		y: 56;
		anchors.horizontalCenter: parent.horizontalCenter;
		
		MouseArea
		{
			id: stepDownMouseArea; anchors.fill: parent;
			onClicked: {if (noteKey.centsValue - 1 >= -64) noteKey.centsValue -= 1;}
		}
	}
	
	Text
	{
		id: pageDecr; text: "▼"; font.pointSize: 16;
		y: 72;
		anchors.horizontalCenter: parent.horizontalCenter;
		
		MouseArea
		{
			id: pageDownMouseArea; anchors.fill: parent;
			onClicked: {if (noteKey.centsValue - 24 >= -64) noteKey.centsValue -= 24;}
		}
	}
}